gr::satellites::decode_rs_general_impl Class Reference

`#include <decode_rs_general_impl.h>`

Inheritance diagram for gr::satellites::decode_rs_general_impl:
[legend]

## Public Member Functions

| decode_rs_general_impl (int gfpoly, int fcr, int prim, int nroots, bool verbose)
| ~decode_rs_general_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | msg_handler (pmt::pmt_t pmt_msg)

## Additional Inherited Members

Public Types inherited from gr::satellites::decode_rs_general
typedef boost::shared_ptr< decode_rs_general > | sptr
Static Public Member Functions inherited from gr::satellites::decode_rs_general
static sptr | make (int gfpoly, int fcr, int prim, int nroots, bool verbose)
| Return a shared_ptr to a new instance of satellites::decode_rs_general. More...

## Constructor & Destructor Documentation

## decode_rs_general_impl()

gr::satellites::decode_rs_general_impl::decode_rs_general_impl | ( | int | gfpoly,
|  | int | fcr,
|  | int | prim,
|  | int | nroots,
|  | bool | verbose
| ) |  |

## ~decode_rs_general_impl()

gr::satellites::decode_rs_general_impl::~decode_rs_general_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::satellites::decode_rs_general_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int gr::satellites::decode_rs_general_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## msg_handler()

void gr::satellites::decode_rs_general_impl::msg_handler | ( | pmt::pmt_t | pmt_msg | ) |

The documentation for this class was generated from the following file:

- decode_rs_general_impl.h